Subject: Re: [PATCH net-next 11/15] net: qca8k: update PCS driver to use neg_mode

From: Jakub Kicinski <[email-masked]>
Date: Tue, 20 Jun 2023 09:22:22 -0700

On Tue, 20 Jun 2023 14:28:58 +0300 Vladimir Oltean wrote:
> On Tue, Jun 20, 2023 at 10:18:13AM +0100, Russell King (Oracle) wrote:
> > I see netdevbpf patchwork is complaining that I didn't Cc a maintainer
> > for this patch ([email-masked]). Why is it complaining? This
> > address is *not* in the MAINTAINERS file in the net-next tree neither
> > for the version I generated the patch against (tip on submission date),
> > today's tip, nor the net tree.
> > 
> > Is patchwork using an outdated MAINTAINERS file?
> > 
> > -- 
> > RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
> > FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!  
> 
> I can presume that patchwork runs scripts/get_maintainer.pl, which looks
> not only at the MAINTAINERS file, but also at the recent authors and
> sign offs from git for a certain file path.

The exact incantation it uses is:

./scripts/get_maintainer.pl --git-min-percent 25

But it's just a warning because get_maintainer sometimes reports 
stupid stuff.